#include <iostream>
#include <cmath>
#include <algorithm>
int main() {
    long long h,w,res;
    cin>>h>>w;
    if (h>w){
        swap(h,w);
    }
    if(h!=1){
        res=(pow(2,w)*h) +(h*w);
    }else{
        res=pow(2,w);
    }
    cout<<res;
    return 0;
}

